"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.replyToDapp = void 0;
const replyWithPostMessage_1 = require("./replyWithPostMessage");
const replyWithRedirect_1 = require("./replyWithRedirect");
const isInIFrame_1 = require("../helpers/browser/isInIFrame");
const sdkDappCore_1 = require("../lib/sdkDappCore");
const replyToDapp = (props, extensionReplyToDapp) => {
    const { transactionData, postMessageData, callbackUrl, webwiewApp } = props;
    // transaction hook URL reply
    if (!postMessageData) {
        return (0, replyWithRedirect_1.replyWithRedirect)({
            transactionData,
            callbackUrl
        });
    }
    if (sdkDappCore_1.safeWindow?.opener || (0, isInIFrame_1.isInIframe)()) {
        return (0, replyWithPostMessage_1.replyWithPostMessage)({
            postMessageData,
            target: sdkDappCore_1.safeWindow?.opener ?? sdkDappCore_1.safeWindow?.parent,
            callbackUrl
        });
    }
    if (extensionReplyToDapp) {
        return extensionReplyToDapp(postMessageData);
    }
    if (webwiewApp) {
        return (0, replyWithPostMessage_1.replyWithPostMessage)({ postMessageData, target: webwiewApp });
    }
    // URL reply
    (0, replyWithRedirect_1.replyWithRedirect)({
        data: postMessageData,
        callbackUrl
    });
};
exports.replyToDapp = replyToDapp;
//# sourceMappingURL=replyToDapp.js.map